SciChart® the market leader in Fast WPF Charts, WPF 3D Charts, and iOS Chart & Android Chart Components

0
0

Out WPF application is currently targeting .net 4.7.2 and we don’t have plan to upgrade to .net core soon. The sample code requires .net core, we would like to know if you could provide a set of sample code targeting .net 4.7.2.

Thanks.

Version
looking at 6.1 sample
  • You must to post comments
0
0

Absolutely!

SciChart WPF 6.x targets both .NET Core 3 and .NET Framework v4.5.2 or later.

Our WPF Chart Examples are dual targeted, but that doesn’t mean you can’t export any example into a Visual Studio solution for .NET 4.5.2+ and start working right away.

Let me know if this helps,

Best regards,
Andrew

  • el yunque
    great, let me give it a try
  • el yunque
    I tried to open the solution in both vs2017 and vs2019, the projects couldn’t load, the target framework in project property is grayed out
  • el yunque
    export to visual studio option is obsoleted per link above
  • You must to post comments
0
0

I edited project file to target 4.5.2, got a bunch of errors, please see screenshot attached, if you could write or point to a description of how to do it please let us know. This is from vs2019.
thanks.

  • el yunque
    ah I see, so the clue is to get the dlls from NuGet, let me give it a try, thanks.
  • el yunque
    unfortunately the dlls from nuget is only 3.0, your example is already up to 6.0
  • el yunque
    Ok I created a new project and got from nuget 6.1 now seems to build
  • el yunque
    it seems the dll from nuget is very limited? right now it is complaining ext:SciChartInteractionToolbar cannot be found… I only got 5 dlls from nuget, is that all I need?
  • el yunque
    ok, it is from example external dependency dll, that dll is not .net 4.7.2 compatible, bummer, I was hoping to use that toolbar…
Showing 2 results
Your Answer

Please first to submit.